intermomentary(6)

NAME
intermomentary - Visualize the momentary and aggregate intersections between slowly moving circles.

SYNOPSIS
intermomentary [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--foreground color] [--background color] [--num-discs disc count] [--draw-delay delayms] [--max-riders maxr] [--max-radius maxradius] [--fps]

DESCRIPTION
The Intersection Momentary is a fun visualization defining the relationships between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned for display at the Whitney Museum of American Art. A surface filled with 100 medium to small sized circles. Each circle has a different size and direction, but moves at the same slow rate. Display:
    A. The instantaneous intersections of the circles.
    B. The aggregate intersections of the circles. The circles begin with a radius of 1 pixel and slowly increase to some arbitrary size. Circles are drawn with small moving points along the perimeter. The intersections are rendered as glowing orbs. Glowing orbs are rendered only when a perimeter point moves past the intersection point.

OPTIONS
Intermomentary accepts the following options:

--num-discs disc count (Default: 85)
    Number of slowly moving and growing discs to use. The more discs, the more CPU power.

--draw-delay delayms (Default: 30000)
    Delay in ms between drawing cycles. More delay, slower (but smoother and less CPU intensive.) art.

--max-riders maxrider (Default: 40)
    Maximum number of 'riders', single dots moving around the edge of the discs.

--max-radius maxradius (Default: 100)
    Maximum possible radius of a disc.

--fps
    Display the current frame rate and CPU load.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

BUGS
Setting the background to anything besides black confuses the intensity algorithm and will look terrible.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by J. Tarbell <complex@complexification.net>.
XScreenSaver port: Mike Kershaw <dragorn@kismetwireless.net>

AUTHOR
J. Tarbell <complex@complexification.net>, Jun 2003.
Mike Kershaw <dragorn@kismetwireless.net>, Oct 2004.